#include<stdio.h>
#include<stdlib.h>
#include<math.h>
int main()
{
	long int V,a,m;
	scanf("%ld",&V);
	int d[3]={5,2,1},i,k=0,br=0,n;
	a=V;
	while(a!=0)
	{
		k++;
		a=a%10;
	}
	m=V;
	while(a!=0)
	{
	for(i=0;i<3;i++)
	{
		n=d[i]8pow(10,k);
		br+=m/n;
		m=m%n;
	}
	k--;
	}
	printf("%d",br);
	system("pause");
	return 0;
}